# CurrencySpec Struct Reference

## Data Fields
uint16 | rate
char | separator [8]
Year | to_euro
char | prefix [16]
char | suffix [16]
byte | symbol_pos
| The currency symbol is represented by two possible values, prefix and suffix Usage of one or the other is determined by symbol_pos.
StringID | name

## Detailed Description

Definition at line 25 of file currency.h.

## Field Documentation

byte CurrencySpec::symbol_pos

The currency symbol is represented by two possible values, prefix and suffix Usage of one or the other is determined by symbol_pos.

0 = prefix 1 = suffix 2 = both : Special case only for custom currency. It is not a spec from Newgrf, rather a way to let users do what they want with custom curency

Definition at line 40 of file currency.h.

The documentation for this struct was generated from the following file:

- src/currency.h